Bug 147310 - The undo action isn't visible on screen (only save & reload will show it worked)
Summary: The undo action isn't visible on screen (only save & reload will show it worked)
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.2.0.3 release
Hardware: All All
: medium normal
Assignee: Michael Stahl (allotropia)
URL:
Whiteboard: target:7.4.0 target:7.3.3 target:7.2.7
Keywords: bibisected, bisected, regression
Depends on:
Blocks: redlinehide-regressions
  Show dependency treegraph
 
Reported: 2022-02-09 10:22 UTC by Telesto
Modified: 2022-03-12 14:07 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Telesto 2022-02-09 10:22:06 UTC
Description:
The undo action isn't visible on screen (only save & reload will show it worked)

Steps to Reproduce:
1. Open attachment 173514 [details]
2. Press delete row twice
3. Press Undo (2x)

Actual Results:
Row 1/2 aren't restored (visually). Save and reload does show them

Expected Results:
Should be visible


Reproducible: Always


User Profile Reset: No



Additional Info:
Found in
Version: 7.4.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: ca657b98e49eb2282775f7919827062a7a0b4bfe
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: Skia/Raster; VCL: win
Locale: nl-NL (nl_NL); UI: en-US
Calc: CL

and in
Version: 6.2.9.0.0+ (x86)
Build ID: 5f01fe15eb2661f1f9ce12d1d99dc2a705b462ee
CPU threads: 4; OS: Windows 6.3; UI render: default; VCL: win; 
Locale: nl-NL (nl_NL); UI-Language: en-US
Calc: CL

still ok with
Version: 6.1.0.0.beta1+
Build ID: da49f4aeb8d5e9a7d2cba8855d911e7cc1d2f1e2
CPU threads: 4; OS: Windows 6.3; UI render: default; 
Locale: nl-NL (nl_NL); Calc: CL
Comment 1 raal 2022-02-09 19:10:48 UTC
I can confirm with Version: 7.4.0.0.alpha0+ / LibreOffice Community
Build ID: 571be264d9604c3d77036e26812f909655cc0bb2
CPU threads: 4; OS: Linux 5.11; UI render: default; VCL: gtk3
Locale: cs-CZ (cs_CZ.UTF-8); UI: en-US
Calc: threaded Jumbo
Comment 2 raal 2022-02-09 19:18:03 UTC
This seems to have begun at the below commit.
Adding Cc: to Michael Stahl; Could you possibly take a look at this one?
Thanks
 96e32c66b32fd6131afd80030ede3dc56a8509cb is the first bad commit
commit 96e32c66b32fd6131afd80030ede3dc56a8509cb
Author: Jenkins Build User <tdf@pollux.tdf>
Date:   Wed Sep 19 21:16:52 2018 +0200

    source sha:723728cd358693b8f4bc9d913541aa4479f2bd48

https://git.libreoffice.org/core/+/723728cd358693b8f4bc9d913541aa4479f2bd48
  sw_redlinehide_2: SwUndoDelete
Comment 3 raal 2022-02-09 19:24:42 UTC
After save and reload the rows are visible again, but in first row the text "Figure 1" is changed to "Figure Error: Reference source not found". Should be retested after the fix of this bug.
Comment 4 Gabor Kelemen (allotropia) 2022-02-10 13:24:41 UTC
@László this might interest you related to tables+change tracking
Comment 5 Commit Notification 2022-03-07 16:23:36 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/6f20bcb152948a24dbe40ca2e6c4ecef2bebf853

tdf#147310 sw_redlinehide: recreate frames for whole table deleted

It will be available in 7.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Michael Stahl (allotropia) 2022-03-07 16:26:02 UTC
fixed on master
Comment 7 Commit Notification 2022-03-10 09:31:29 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-7-3":

https://git.libreoffice.org/core/commit/d65b07c42206476ab471320c8261a96adad4d515

tdf#147310 sw_redlinehide: recreate frames for whole table deleted

It will be available in 7.3.3.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2022-03-10 09:35:32 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-7-2":

https://git.libreoffice.org/core/commit/6a1024962f7b286df0535b39e3b79202314245e0

tdf#147310 sw_redlinehide: recreate frames for whole table deleted

It will be available in 7.2.7.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 raal 2022-03-12 14:07:58 UTC
Verified with Version: 7.4.0.0.alpha0+ / LibreOffice Community
Build ID: dddee125cc32f1ad5228e598a7de04e9654e65c1
CPU threads: 4; OS: Linux 5.13; UI render: default; VCL: gtk3
Locale: cs-CZ (cs_CZ.UTF-8); UI: en-US
Calc: threaded Jumbo